#language: ru

@carc

Функционал: 003. CARC. Дозаполнение данных по контрагентам

Сценарий: 003.1. CARC. Заполнение банковского счета для контрагента

	Дано Я подключаюсь под "Ведение контрагентов"
	Дано я удаляю объекты "Справочники.БанковскиеСчета" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Ашан(продажа тары)' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ашан(продажа тары) (Контрагент)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Банковские счета'
	Тогда открылось окно 'Ашан(продажа тары) (Контрагент)'
	И Я начинаю создавать банковский счет "С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)" 
	И в поле 'Номер счета' я ввожу текст '40702810625522233333'
	И из выпадающего списка "Валюта" я выбираю точное значение 'RUB'
	И я перехожу к закладке "Коды банка расчетов рублевого счета"
	И в поле с именем 'БИКБанка' я ввожу текст '000000075'
	И я нажимаю на кнопку открытия поля с именем "БИКБанка"
	Тогда открылось окно 'Реквизиты банка'
	И в поле 'Корр счет' я ввожу текст '30101810100788700884'
	И в поле 'БИК' я ввожу текст '000000075'
	И в поле 'Наименование' я ввожу текст 'С-ПЕТЕРБУРГСКИЙ ФИЛ'
	И в поле с именем 'Город' я ввожу текст 'Санкт-Петербург'
	И в поле 'Регион' я ввожу текст 'Санкт-Петербург'
	И в поле 'Адрес' я ввожу текст 'Невский проспект, 233'
	И в поле 'Телефоны' я ввожу текст '+79057953582'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Банковский счет (создание) *'
	И Я заканчиваю создавать банковский счет
	Тогда открылось окно 'Ашан(продажа тары) (Контрагент)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И из выпадающего списка "Основной банковский счет" я выбираю по строке 'С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ашан(продажа тары) (Контрагент)' в течение 20 секунд
	Тогда открылось окно 'Контрагенты'
	И Я закрываю окно 'Контрагенты'

Сценарий: 003.2. CARC. Завершение

	И я закрываю сеанс TESTCLIENT